[ Maverik Level 2 functions ]

#

mav_lineTransFrame

## Summary

Transform world coordinates line to object coordinates.

## Syntax

MAV_line mav_lineTransFrame(MAV_line in, MAV_matrix m);

- MAV_line in
  World coordinates line.

- MAV_matrix m
  Matrix.

## Description

This function takes line `in` in world coordinates, and transforms it using the inverse of matrix `m`, returning the result. The intent of this function is to specify `m` as the matrix of an object, such that the line `in` is transformed from world coordinates into the local coordinates of the object.

## See also

mav_drawInfoTransFrame.

Back to the index page.